import { BoundingBox } from './BoundingBox';
import { Polygon } from './Polygon';
import { Vec2 } from './Vec2';
export declare class GGeometry {
    box: BoundingBox;
    polygon: Polygon;
    constructor(box: BoundingBox, polygon: Polygon);
    getBoundingBox(): BoundingBox;
    getPolygon(): Polygon;
    origin(): Vec2;
    originX(): number;
    originY(): number;
    getLeft(): number;
    getTop(): number;
    getRight(): number;
    getBottom(): number;
    shift(x: number, y: number): GGeometry;
}
