import { GGeometry } from './GGeometry';
export declare class GText {
    page: number;
    text: string;
    geometry: GGeometry;
    constructor(page: number, text: string, geometry: GGeometry);
    getPageNumber(): number;
    getText(): string;
    getGeometry(): GGeometry;
    getBoundingBix(): import("./BoundingBox").BoundingBox;
    getPolygon(): any;
    origin(): import("./Vec2").Vec2;
    originX(): number;
    getLeft(): number;
    getRight(): number;
    getTop(): number;
    getBottom(): number;
    shift(x: number, y: number): GText;
    length(): number;
}
