export declare enum NerMode {
    /**
     * Faster but less precise Named Entity Recognition
     */
    PERFORMANCE = "PERFORMANCE",
    /**
     * More precise but slower Named Entity Recognition
     */
    QUALITY = "QUALITY",
    /**
     * Uses both {@link PERFORMANCE} and {@link QUALITY} Named Entity Recognition algorithms.
     */
    BOTH = "BOTH"
}
