import { BoundingBox } from './BoundingBox';
import { Vec2 } from './Vec2';
export declare class Polygon {
    private vertices;
    constructor(vertices: Array<Vec2>);
    getVertex(index: number): Vec2;
    getVertexes(): Vec2[];
    origin(): Vec2;
    originX(): number;
    originY(): number;
    boundingBox(): BoundingBox;
    shift(x: number, y: number): Polygon;
}
