/**
 * Class representation of the Response when generating the Uploadlink via API.
 *
 * @author Sven Wensing
 */
export declare class UploadLinkResponse {
    uploadUrl: string;
    s3Link: string;
    /**
     * @param uploadUrl the generated UploadUrl from the API
     * @param s3Link the URL to the S3 File
     */
    constructor(uploadUrl: string, s3Link: string);
}
